# Generated by Django 4.1.5 on 2023-02-11 14:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Problema',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(blank=True, max_length=254, null=True)),
                ('descripcion', models.TextField()),
                ('fecha', models.DateField(auto_now_add=True)),
                ('moderado', models.CharField(choices=[('C', 'Pendiente de Moderación'), ('P', 'Publicado'), ('E', 'Eliminado')], default='C', max_length=1)),
                ('nivel', models.CharField(choices=[('-', 'Sin categorizar'), ('F', 'Fácil'), ('M', 'Medio'), ('D', 'Difícil')], default='-', max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='Tema',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=254)),
                ('descripcion', models.TextField(blank=True, null=True)),
                ('cod_centro', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Solucion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descripcion', models.TextField(help_text='Por favor, sólo soluciones de creación propia, de lo contrario dar los créditos respectivos. ')),
                ('lenguaje_prog', models.CharField(max_length=100)),
                ('moderado', models.CharField(choices=[('C', 'Pendiente de Moderación'), ('P', 'Publicado'), ('E', 'Eliminado')], default='C', max_length=1)),
                ('fecha', models.DateField(auto_now_add=True)),
                ('problema', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='openscoco_interactivo.problema')),
                ('usuario_creador', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='problema',
            name='tema',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='openscoco_interactivo.tema'),
        ),
        migrations.AddField(
            model_name='problema',
            name='usuario_creador',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.CreateModel(
            name='Comentario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mensaje', models.TextField(blank=True, null=True)),
                ('calificacion', models.PositiveSmallIntegerField()),
                ('moderado', models.CharField(choices=[('C', 'Pendiente de Moderación'), ('P', 'Publicado'), ('E', 'Eliminado')], default='C', max_length=1)),
                ('fecha', models.DateField(auto_now_add=True)),
                ('solucion', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='openscoco_interactivo.solucion')),
                ('usuario_creador', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
